{% extends 'base.html.twig' %}

{% block title %}Me contacter{% endblock %}

{% block body %}
    <style>
        /* Set the size of the div element that contains the map */
        #map {
            height: 400px;
            width: 100%;
        }
    </style>
<section id="contact">
    <div class="container">
        <div class="well well-sm">
            {% for message in app.flashes('success') %}
                <div class="alert alert-success alert-dismissible fade show" role="alert">
                    {{ message }}
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            {% endfor %}
        </div>
        <div class="row">
            <div class="col-md-7">
                <div id="map"></div>
            </div>
            <div class="col-md-5">
                <h4><strong>Me contacter</strong></h4>
                {{ form_start(form) }}
                {{ form_widget(form) }}
                {{ form_end(form) }}

                    <!--<div class="form-group">
                        <input type="text" class="form-control" name="nom" value="" placeholder="Nom">
                    </div>
                    <div class="form-group">
                        <input type="email" class="form-control" name="mail" value="" placeholder="E-mail">
                    </div>
                    <div class="form-group">
                        <input type="tel" class="form-control" name="tel" value="" placeholder="Téléphone">
                    </div>
                    <div class="form-group">
                        <textarea class="form-control" name="message" rows="3" placeholder="Message"></textarea>
                    </div>
                    <div class="text-center">
                        <button class="btn btn-light center-block" type="submit" rows="3" name="button">
                            <i class="fas fa-paper-plane" aria-hidden="true"></i> Envoyer
                        </button>
                    </div>-->


            </div>
        </div>
    </div>
</section>
<script>
    // Initialize and add the map
    function initMap() {
        // The location of Eaubonne
        var eaubonne = {lat: 48.98064990732967, lng: 2.272088303232702};
        // The map, centered at Eaubonne
        var map = new google.maps.Map(
            document.getElementById('map'), {
                zoom: 9,
                center: eaubonne,
                styles: [
                    {elementType: 'geometry', stylers: [{color: '#242f3e'}]},
                    {elementType: 'labels.text.stroke', stylers: [{color: '#242f3e'}]},
                    {elementType: 'labels.text.fill', stylers: [{color: '#746855'}]},
                    {
                        featureType: 'administrative.locality',
                        elementType: 'labels.text.fill',
                        stylers: [{color: '#d59563'}]
                    },
                    {
                        featureType: 'poi',
                        elementType: 'labels.text.fill',
                        stylers: [{color: '#d59563'}]
                    },
                    {
                        featureType: 'poi.park',
                        elementType: 'geometry',
                        stylers: [{color: '#263c3f'}]
                    },
                    {
                        featureType: 'poi.park',
                        elementType: 'labels.text.fill',
                        stylers: [{color: '#6b9a76'}]
                    },
                    {
                        featureType: 'road',
                        elementType: 'geometry',
                        stylers: [{color: '#38414e'}]
                    },
                    {
                        featureType: 'road',
                        elementType: 'geometry.stroke',
                        stylers: [{color: '#212a37'}]
                    },
                    {
                        featureType: 'road',
                        elementType: 'labels.text.fill',
                        stylers: [{color: '#9ca5b3'}]
                    },
                    {
                        featureType: 'road.highway',
                        elementType: 'geometry',
                        stylers: [{color: '#746855'}]
                    },
                    {
                        featureType: 'road.highway',
                        elementType: 'geometry.stroke',
                        stylers: [{color: '#1f2835'}]
                    },
                    {
                        featureType: 'road.highway',
                        elementType: 'labels.text.fill',
                        stylers: [{color: '#f3d19c'}]
                    },
                    {
                        featureType: 'transit',
                        elementType: 'geometry',
                        stylers: [{color: '#2f3948'}]
                    },
                    {
                        featureType: 'transit.station',
                        elementType: 'labels.text.fill',
                        stylers: [{color: '#d59563'}]
                    },
                    {
                        featureType: 'water',
                        elementType: 'geometry',
                        stylers: [{color: '#17263c'}]
                    },
                    {
                        featureType: 'water',
                        elementType: 'labels.text.fill',
                        stylers: [{color: '#515c6d'}]
                    },
                    {
                        featureType: 'water',
                        elementType: 'labels.text.stroke',
                        stylers: [{color: '#17263c'}]
                    }
                ]
            });
        // The marker, positioned at Eaubonne
        var marker = new google.maps.Marker({position: eaubonne, map: map});
    }
</script>
<script async defer src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAJOmNiLu4L1CTU_9ULuUU2gBUsMPN9ovM&callback=initMap">
</script>
{% endblock %}
